## PkItemProgress PkItemProgress — ItemProgress object |

## Functions

PkItemProgress * | pk_item_progress_new ()
PkStatusEnum | pk_item_progress_get_status ()
guint | pk_item_progress_get_percentage ()
const gchar * | pk_item_progress_get_package_id ()

## Description

This GObject represents a item_progress from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_item_progress_new ()

    PkItemProgress *
    pk_item_progress_new (void);

An object containing item inside a PkProgress.

#### Returns

a new PkItemProgress object.

Since: 0.8.1

### pk_item_progress_get_status ()

    PkStatusEnum
    pk_item_progress_get_status (PkItemProgress *item_progress);

Get the status of this item.

#### Parameters

item_progress | a valid PkItemProgress instance |

#### Returns

a PkStatusEnum

### pk_item_progress_get_percentage ()

    guint
    pk_item_progress_get_percentage (PkItemProgress *item_progress);

Get the percentage complete of this item.

#### Parameters

item_progress | a valid PkItemProgress instance |

#### Returns

a progress percentage (0-100)

### pk_item_progress_get_package_id ()

    const gchar *
    pk_item_progress_get_package_id (PkItemProgress *item_progress);

Get the package ID this item is working on.

#### Parameters

item_progress | a valid PkItemProgress instance |

#### Returns

a package ID

## Types and Values